import { KeyPath } from './response-patcher';
import { createSolanaRpcApi } from './rpc-methods';
type AllowedNumericKeypaths = Partial<Record<keyof ReturnType<typeof createSolanaRpcApi>, readonly KeyPath[]>>;
/**
 * These are keypaths at the end of which you will find a numeric value that should *not* be upcast
 * to a `bigint`. These are values that are legitimately defined as `u8` or `usize` on the backend.
 */
export declare function getAllowedNumericKeypaths(): AllowedNumericKeypaths;
export {};
//# sourceMappingURL=response-patcher-allowed-numeric-values.d.ts.map